# Uses of Class
org.astrogrid.samp.client.AbstractMessageHandler

Packages that use AbstractMessageHandler
Package
Description
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.

## Uses of AbstractMessageHandler in org.astrogrid.samp.hub

Methods in org.astrogrid.samp.hub that return AbstractMessageHandler
Modifier and Type
Method
Description
`protected AbstractMessageHandler[]`
BasicHubService.`createHubMessageHandlers()`
Constructs a list of MessageHandlers to use for the client provided by the Hub.